scala.tools.nsc.Global

# copyPropagation

#### object copyPropagation extends CopyPropagation

Copy propagation for optimization

Source
  Global.scala

Linear Supertypes
CopyPropagation, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. copyPropagation
2. CopyPropagation
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Boxed(l: Location) extends Value with Product with Serializable

   The boxed value of some location.

   The boxed value of some location.

   Definition Classes
     CopyPropagation

2. #### case class Const(c: Global.Constant) extends Value with Product with Serializable

   The constant value c.

   The constant value c.

   Definition Classes
     CopyPropagation

3. #### final class CopyAnalysis extends DataFlowAnalysis[copyLattice.type]

   Definition Classes
     CopyPropagation

4. #### case class Deref(l: Location) extends Value with Product with Serializable

   The value of some location in memory.

   The value of some location in memory.

   Definition Classes
     CopyPropagation

5. #### case class Field(r: Record, sym: Global.Symbol) extends Location with Product with Serializable

   Definition Classes
     CopyPropagation

6. #### case class LocalVar(l: Global.icodes.Local) extends Location with Product with Serializable

   Definition Classes
     CopyPropagation

7. #### sealed abstract class Location extends AnyRef

   Locations can be local variables, this, and fields.

   Locations can be local variables, this, and fields.

   Definition Classes
     CopyPropagation

8. #### case class Record(cls: Global.Symbol, bindings: Map[Global.Symbol, Value]) extends Value with Product with Serializable

   Definition Classes
     CopyPropagation

9. #### sealed abstract class Value extends AnyRef

   Values that can be on the stack.

   Values that can be on the stack.

   Definition Classes
     CopyPropagation

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object AllRecords extends Record

   The bottom record.

   The bottom record.

   Definition Classes
     CopyPropagation

5. #### object This extends Location with Product with Serializable

   Definition Classes
     CopyPropagation

6. #### object Unknown extends Value with Product with Serializable

   Unknown.

   Unknown.

   Definition Classes
     CopyPropagation

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### object copyLattice extends SemiLattice

   The lattice for this analysis.

   The lattice for this analysis.

   Definition Classes
     CopyPropagation

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### val global: Global.this.type

    Definition Classes
      copyPropagation → CopyPropagation

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CopyPropagation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped